Name:		mageia-prime
Version:	0.4
Release:	%mkrel 16
Summary:	An NVidia Prime configuration tool
Group:		Development/X11
URL:		https://github.com/ghibo/%{name}
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-A-round-of-code-fixing-including.patch
Patch2:		0002-Fix-glxspheres64-in-README.md-doc.patch
Patch3:		0003-Fix-indentation.patch
Patch4:		0004-Add-support-for-using-the-intel-driver-from-x11-driv.patch
Patch5:		0005-Don-t-install-dnf-packages-interactively.patch
Patch6:		0006-Implement-autodetecting-of-nvidia390-or-nvidia-curre.patch
Patch7:		0007-Exits-and-not-just-warning-if-not-having-root-privil.patch
Patch8:		0008-Add-option-f-to-avoid-re-using-preserved-xorg.conf.patch
Patch9:		0009-Add-a-missed-brace.patch
Patch10:	0010-Fix-typo.patch
Patch11:	0011-Add-an-option-to-print-options-available.patch
Patch12:	0012-Add-option-y-for-quick-installation-uninstallation-s.patch
Patch13:	0013-add-more-checks-to-xrandr-setprovideroutputsource-ar.patch
Patch14:	0014-sync-names-in-printed-help.patch
Patch15:	0015-Drop-support-for-driver-nvidia390-add-support-for-dr.patch
Patch16:	0016-Add-support-for-lspci-output-containing-pci-domain.patch
License:	GPLv3

Requires:	kmod
Recommends:	dnf
Recommends:	dnf-command(install)
Recommends:	dnf-command(config-manager)
Requires:	urpmi
Requires:	drakxtools-backend
# /bin/update-grub
Requires:	grub2-common
# /bin/lspcidrake
Requires:	ldetect-lst
# /bin/lspci
Requires:	pciutils
# systemctl
Requires:	systemd-units
Requires:	xrandr
# avoid interference with bumblebee modules
Conflicts:	bumblebee
# non-x86_64 archs no longer have proprietary NVidia drivers.
ExclusiveArch:	x86_64

%description
A tool for easily configuring NVidia Prime (Optimus) under Mageia GNU/Linux.

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags} -Wall -pedantic -D_GNU_SOURCE"

%install
%make_install

%files
%doc README.md
%license LICENSE
%{_bindir}/mageia-prime-offload
%{_bindir}/mageia-prime-offload-run
%{_bindir}/mageia-prime-install-packages-large
%{_sbindir}/mageia-prime-install
%{_sbindir}/mageia-prime-uninstall


%changelog
* Sat Dec 24 2022 ghibo <ghibo> 0.4-16.mga9
+ Revision: 1926461
- Add support for lspci output containing pci domain

* Tue Sep 27 2022 ghibo <ghibo> 0.4-15.mga9.nonfree
+ Revision: 1892814
- Drop support for nvidia390, add support for nvidia470 drivers

* Fri Apr 15 2022 umeabot <umeabot> 0.4-14.mga9.nonfree
+ Revision: 1850376
- Mageia 9 Mass Rebuild

* Sun Feb 21 2021 ghibo <ghibo> 0.4-13.mga8.nonfree
+ Revision: 1675654
- Recommends dnf instead of Requires (bug 28402)

* Thu Feb 04 2021 ghibo <ghibo> 0.4-12.mga8.nonfree
+ Revision: 1674894
- Add option -y for quick installation/uninstallation.
- Add more checks to xrandr.
- Fix names in printed help.

* Thu Feb 04 2021 ghibo <ghibo> 0.4-11.mga8.nonfree
+ Revision: 1674852
- Add an option to print options available

* Wed Feb 03 2021 ghibo <ghibo> 0.4-10.mga8.nonfree
+ Revision: 1674727
- Add Conflicts with bumblebee to avoid potential intereference between modules.
- Add an option to force a fresh xorg.conf config file.
- Exits and not warning when running as unprivileged user.
- Fix typos.

* Tue Feb 02 2021 ghibo <ghibo> 0.4-9.mga8.nonfree
+ Revision: 1674527
- Implement autodetecting of nvidia390 or nvidia-current (thanks to ns80).
- Documenting option '-3' and '-k'.
- Sync dnf installing options with urpmi.

* Mon Feb 01 2021 ghibo <ghibo> 0.4-8.mga8.nonfree
+ Revision: 1674323
- Add patch to allow using of intel driver from x11-driver-video-intel instead of modesetting.
- Fix indentation.
- Fix typo about usage of glxspheres64 in README.md documentation.

* Sun Jan 31 2021 ghibo <ghibo> 0.4-7.mga8.nonfree
+ Revision: 1674283
- Rework patchset.
- Test with nvidia-current-460.39.
- Fix 00mageia-prime.xsetup deletion.
- Add preliminary support for nvidia390 (option '-3')
- Write the config file 20-mageia-prime.conf from the installer and not from the spec file.
- Add a Monitor section to the provided xorg.conf file.
- Reintroduce 00mageia-prime.xsetup in /etc/X11/xsetup.d (because indeed they weren't ignored)
- Use common mageia-prime-offload instead of direct xrandr calls.
- Refresh README.md documentation.
- Add mageia-prime-offload and mageia-prime-offload script commands.
- Add mageia-prime-install-packages-large script for a "full-optional" installation.
- Installation with urpmi --auto to avoid interactive prompt.
- Add '-p' option to configure xorg for primary offload rendering.
- Introduce the '-a' (auto) option to use an empty xorg.conf configuration.
- Fix a return value in mageia-prime-uninstall.c.

* Fri Jan 29 2021 ghibo <ghibo> 0.4-6.mga8.nonfree
+ Revision: 1673998
- Bump release
- fix paths: move init scripts from /etc/X11/xsetup.d to /etc/X11/xinit.d as xsetup.d seems not used anymore
- fix paths_ restart display-manager.service instead of prefdm.service, as prefdm.service was removed some time ago
- don't default modesetting accelmethod to none.
- force RENDER_OFFLOAD env var.

* Fri Feb 21 2020 umeabot <umeabot> 0.4-5.mga8.nonfree
+ Revision: 1548632
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.4-4.mga7.nonfree
+ Revision: 1279347
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 akien <akien> 0.4-3.mga7.nonfree
+ Revision: 1235053
- Also require systemd-units explicitly (for systemctl)

* Wed Jun 06 2018 akien <akien> 0.4-2.mga7.nonfree
+ Revision: 1235047
- Require xrandr (mga#23122)

* Fri Jun 02 2017 ghibo <ghibo> 0.4-1.mga6.nonfree
+ Revision: 1105867
- Updated to release 0.4.
- Merged Neal Gompa changes for dnf support and cleaning spec file.

* Tue May 23 2017 ghibo <ghibo> 0.3-1.mga6.nonfree
+ Revision: 1104293
- Update to release 0.3.
- Use Recommends instead of Suggests (suggested by Neal Gompa and Rémi Verschelde).

* Tue May 23 2017 ghibo <ghibo> 0.2-2.mga6.nonfree
+ Revision: 1104287
- Added bumblebee to Conflicts

* Mon May 22 2017 ghibo <ghibo> 0.2-1.mga6
+ Revision: 1104134
- Update to release 0.2

* Wed May 10 2017 ghibo <ghibo> 0.1-1.mga6.nonfree
+ Revision: 1100048
- imported package mageia-prime


* Wed May 10 2017 Giuseppe Ghibò <ghibo> 0.1-1.mga6
- Initial release.
